Page MenuHomePhabricator

[llvm-objdump] Allow --disassemble-functions to take demangled names
ClosedPublic

Authored by ychen on Jun 18 2019, 3:36 PM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

ychen created this revision.Jun 18 2019, 3:36 PM
jhenderson accepted this revision.Jun 19 2019, 4:07 AM

Can you persuade git/svn to do a rename of the test rather than a delete and add? That would make the diff easier to see.

I've reviewed this offline, so otherwise this LGTM, but I'd like another opinion.

This revision is now accepted and ready to land.Jun 19 2019, 4:07 AM
ychen added a comment.Jun 19 2019, 5:28 PM

Can you persuade git/svn to do a rename of the test rather than a delete and add? That would make the diff easier to see.

Didn't find a way to achieve that unless splitting the file rename part out. Seems it is how Git works (https://stackoverflow.com/questions/7938582/how-does-git-detect-similar-files-for-its-rename-detection),

MaskRay accepted this revision.Jun 19 2019, 10:50 PM
MaskRay added inline comments.
llvm/test/tools/llvm-objdump/X86/disassemble-functions-mangling.test
21 ↗(On Diff #205455)

You may make these *-MISS-NOT to check the warnings instead:

warning: failed to disassemble missing function _Z3foov
ychen updated this revision to Diff 205843.Jun 20 2019, 9:42 AM
  • update
ychen marked an inline comment as done.Jun 20 2019, 9:43 AM
This revision was automatically updated to reflect the committed changes.

Hi @ychen, would you mind posting a patch to update the docs for this behaviour change? I didn't mention it previously, because rL364019, which added --disassemble-functions to the listed options, was still under review, but it landed before this change did.

Hi @ychen, would you mind posting a patch to update the docs for this behaviour change? I didn't mention it previously, because rL364019, which added --disassemble-functions to the listed options, was still under review, but it landed before this change did.

Will do.